Subject: bug#52971: Tests warn after eieio-compat.el was moved to obsolete/

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Jan 2022 11:48:51 -0500

Stefan Monnier <[email-masked]> writes:

>> I'm not sure about the best way to fix them.  Could we just move those
>> parts that require eieio-compat.el to a new file eieio-compat-tests.el?
>
> That will just move the warnings.

My thinking was that if these tests are only for obsolete code, it would
be better to isolate them all in one file.  But I have no real opinion
either way.